Subject: Re: bug#68761: [PATCH] Record dependencies in packages installed via package-vc

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Feb 2024 19:18:46 +0200

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 07 Feb 2024 17:07:43 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> From: Philip Kaludercic <[email-masked]>
> >> Date: Wed, 07 Feb 2024 07:18:33 +0000
> >> 
> >> Steven Allen <[email-masked]> writes:
> >> 
> >> >>> The dependency list wasn't getting recorded in the package's `-pkg.el` file.
> >> >>
> >> >> Did you notice this because of some bug or what is the motivation for
> >> >> this change?  I'll certainly look into it, I just wanted some context.
> >> >
> >> > I noticed this because I tried to remove "unused" dependencies
> >> > (package-autoremove) and ended up removing dependencies from my
> >> > package-vc packages.
> >> 
> >> That doesn't sound good.  Your patch should resolve the issue, and I
> >> would be inclined to propose applying it to the Emacs 29 branch, if the
> >> maintainers don't object.
> >
> > How serious is the problem?  Since it's unlikely there will be any
> > more Emacs 29.x releases, except if we have some emergency, we should
> > try to keep the release branch as safe and undiverged from 29.2 as
> > possible.
> 
> I wouldn't clarify it as an emergency, at most a regrettable
> inconvenience.

Then I tend to think this should be installed on master.

> Just to avoid confusion: What branch is the current release branch then?

It's still emacs-29.  When we start the release cycle of Emacs 30.1,
we will cut the emacs-30 branch.

The release branch is not closed to fixes, it just should receive only
very safe ones (like documentation fixes), or very urgent/serious
ones.